task spladder {
    String sample_id
    Array[File] bam
    Array[File] bai
    Array[File] pickle
    File reference_gtf_file
    

    String docker
    String cluster
    String disk_size

    
    command <<<
        set -o pipefail
        set -e

        mkdir -p ${sample_id}/spladder_out/spladder
                  
        for i in ${sep=" " bam}
		do
        echo $i >> bam.txt
		done                  

        sed ':a ; N;s/\n/,/ ; t a ; ' bam.txt > alignment.txt
        
        for i in ${sep=" " pickle}
		do
        ln -s $i ${sample_id}/spladder_out/spladder/
        ls ${sample_id}/spladder_out/spladder/ >> pickle.txt
		done

        find . -depth > fileList.txt
    >>>

    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File fileList = "fileList.txt"
        File alignment = "alignment.txt"
        File pickle_txt = "pickle.txt"
    }
}